# WP Category Merger

WordPress kategorilerini birleştirmenizi sağlayan güçlü ve kullanıcı dostu bir eklenti.

## Özellikler

- **Kolay Kullanım**: Basit ve anlaşılır arayüz
- **Güvenli İşlem**: Tüm güvenlik kontrolleri dahil
- **Çok Dilli Destek**: Türkçe ve İngilizce dil desteği
- **AJAX Teknolojisi**: Sayfa yenilenmeden hızlı işlem
- **Geri Bildirim**: Detaylı başarı ve hata mesajları

## Kurulum

1. `wp-category-merger` klasörünü WordPress'in `wp-content/plugins/` dizinine yükleyin
2. WordPress admin panelinden eklentiyi etkinleştirin
3. **Araçlar > Category Merger** menüsünden eklentiye erişin

## Kullanım

1. **Kaynak Kategori (Tutulacak)**: Korunacak ve tüm yazıların taşınacağı kategoriyi seçin
2. **Hedef Kategori (Birleştirilecek)**: Silinecek ve yazıları kaynak kategoriye taşınacak kategoriyi seçin
3. **Birleştirmeyi Başlat** butonuna tıklayın
4. Onay mesajını kabul edin
5. İşlem tamamlandığında sayfa otomatik olarak yenilenecektir

## Güvenlik

- Nonce kontrolü ile CSRF koruması
- Kullanıcı yetki kontrolü
- Kategori varlık kontrolü
- Güvenli AJAX işlemleri

## Teknik Detaylar

- **WordPress Sürümü**: 5.0 ve üzeri
- **PHP Sürümü**: 7.4 ve üzeri
- **Lisans**: GPL v2 veya sonrası

## Dosya Yapısı

```
wp-category-merger/
├── wp-category-merger.php     # Ana eklenti dosyası
├── assets/
│   ├── admin.css             # Admin panel stilleri
│   └── admin.js              # JavaScript işlevleri
├── languages/
│   ├── wp-category-merger.pot        # Çeviri şablonu
│   └── wp-category-merger-tr_TR.po   # Türkçe çeviri
└── README.md                 # Bu dosya
```

## Geliştirici Notları

Eklenti WordPress standartlarına uygun olarak geliştirilmiştir ve aşağıdaki özellikleri içerir:

- Object-oriented PHP yapısı
- WordPress Coding Standards uyumluluğu
- Güvenli veritabanı işlemleri
- Responsive tasarım
- Cross-browser uyumluluğu

## Destek

Herhangi bir sorun yaşarsanız veya öneriniz varsa lütfen iletişime geçin.

---

**Geliştirici**: Manus AI  
**Sürüm**: 1.0.0  
**Son Güncelleme**: Aralık 2025

